Page MenuHomePhabricator

Dispatch combined permission service when application is started
Closed, ResolvedPublic

Description

Use the result of T239710 and dispatch it when bridge is started.
T237536 can then commence.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2020, 10:28 AM

Change 561811 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: prepare naming for repo and client APIs

https://gerrit.wikimedia.org/r/561811

Change 558150 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: dispatch permission check on BRIDGE_INIT

https://gerrit.wikimedia.org/r/558150

Change 561827 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: prepare test mocks for second MwApi type

https://gerrit.wikimedia.org/r/561827

Change 561811 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: prepare naming for repo and client APIs

https://gerrit.wikimedia.org/r/561811

Change 561827 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: prepare test mocks for second MwApi type

https://gerrit.wikimedia.org/r/561827

Pablo-WMDE added a comment.EditedJan 8 2020, 5:42 PM

I'm returning this to the "to do" column, as it obviously not working for me.
Feel free to see if there is any good in https://gerrit.wikimedia.org/r/558150 which can be salvaged.

Background:
If we follow Lucas' suggested approach, we - coincidentally - first need to find a way to properly mock batched API responses in e2e tests (wbdatabridgeconfig & siteinfo are both query actions - which is a first). I'd rather we use today's face time to first try and finalize T237528.

Pablo-WMDE removed Pablo-WMDE as the assignee of this task.Jan 8 2020, 5:42 PM
Pablo-WMDE moved this task from Doing to To do on the Wikidata-Bridge-Sprint-11 board.
Lucas_Werkmeister_WMDE moved this task from To do to Doing on the Wikidata-Bridge-Sprint-11 board.

I’ll see if I get anywhere.

Change 558150 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: dispatch permission check on BRIDGE_INIT

https://gerrit.wikimedia.org/r/558150

Lucas_Werkmeister_WMDE closed this task as Resolved.Jan 14 2020, 10:52 AM